# SNESSetConvergenceHistory

Sets the array used to hold the convergence history.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetConvergenceHistory(SNES snes,PetscReal a[],PetscInt its[],PetscInt na,PetscTruth reset)

Collective on SNES

### Input Parameters

| snes | - iterative context obtained from SNESCreate()
| a | - array to hold history
| its | - integer array holds the number of linear iterations for each solve.
| na | - size of a and its
| reset | - PETSC_TRUE indicates each new nonlinear solve resets the history counter to zero, else it continues storing new values for new nonlinear solves after the old ones

### Notes

If set, this array will contain the function norms computed at each step.

This routine is useful, e.g., when running a code for purposes of accurate performance monitoring, when no I/O should be done during the section of code that is being timed.

### Keywords

SNES, set, convergence, history

### See Also

SNESGetConvergenceHistory()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex6.c.html